#ifndef PARSECQT5LOGINDIALOG_H
#define PARSECQT5LOGINDIALOG_H

#include "parsec_common_qt5_global.h"

#include <QDialog>

class QLineEdit;
class QPushButton;

namespace ParsecQt5
{
    class PARSEC_COMMON_QT5_EXPORT LoginDialog : public QDialog
    {
        Q_OBJECT

        public:
            LoginDialog( QWidget *parent, const QString &title = QString(), const QString &login = QString() );
            ~LoginDialog();
            void accept() override;

            QString login();
            QString password();

        private slots:
            void lineEditTextChanged();

        private:
            QLineEdit *m_loginLineEdit;
            QLineEdit *m_passwordLineEdit;
            QPushButton *m_acceptButton;
            QPushButton *m_rejectButton;
    };
}

#endif // PARSECQT5LOGINDIALOG_H
