/*

  Author(s): Ilja V. Ryndin (ryndin@pinebrush.com)

  Start date: *

*/

#ifndef PARSECQT5DESKTOPINTEGRATIONPLUGIN_H
#define PARSECQT5DESKTOPINTEGRATIONPLUGIN_H

#include <QtCore>

#include "plugin.h"
#include "iconprovider.h"

namespace ParsecQt5
{

typedef QMap<QString,QVariant> VariantMap;

class PARSEC_COMMON_QT5_EXPORT DesktopIntegrationPlugin : public Plugin
{
public:
    DesktopIntegrationPlugin( IconProvider *iconProvider );
    virtual ~DesktopIntegrationPlugin();
    IconProvider *iconProvider();
    void callApplicationHelpWindow( QWidget *parent, VariantMap /*args*/ );
    void callApplicationAboutWindow(QWidget *parent, VariantMap /*args*/ );
    private:
    IconProvider *m_iconProvider;
};

}

#endif // PARSECQT5DESKTOPINTEGRATIONPLUGIN_H
